//+------------------------------------------------------------------+
//|                                      SilverTrend_bar_E&A_mtf.mq4 |
//|                                           Copyright  2008, V-X  |
//|                                         http://www.forex-tsd.com |
//+------------------------------------------------------------------+
#property copyright "Copyright  2008, MetaQuotes Software Corp."
#property link      "http://www.forex-tsd.com/suggestions-trading-systems/16304-e-standard-trading-system.html"

#property indicator_separate_window
#property indicator_buffers 2
#property indicator_color1 RoyalBlue //Blue
#property indicator_color2 DeepPink  //Red



extern int       TimeFrame=0;
extern int       SSP=7;
extern double    Kmax=50.6; 


double ExtMapBuffer1[];
double ExtMapBuffer2[];

int init()
  {

   SetIndexStyle(0,DRAW_HISTOGRAM,0,4);  //Red
   SetIndexBuffer(0,ExtMapBuffer1);
   SetIndexStyle(1,DRAW_HISTOGRAM,0,4);  //Blue
   SetIndexBuffer(1,ExtMapBuffer2);



   switch(TimeFrame)
   {
      case 1 : string TimeFrameStr="Period_M1"; break;
      case 5 : TimeFrameStr="Period_M5"; break;
      case 15 : TimeFrameStr="Period_M15"; break;
      case 30 : TimeFrameStr="Period_M30"; break;
      case 60 : TimeFrameStr="Period_H1"; break;
      case 240 : TimeFrameStr="Period_H4"; break;
      case 1440 : TimeFrameStr="Period_D1"; break;
      case 10080 : TimeFrameStr="Period_W1"; break;
      case 43200 : TimeFrameStr="Period_MN1"; break;
      default : TimeFrameStr="Current Timeframe";
   }
   string short_name;
   short_name=("#SilverTrend("+TimeFrame+")");
    IndicatorShortName(short_name);
     SetIndexLabel(0,short_name);  
  }

   return(0);
 

int start()
  {
   datetime TimeArray[];
   int    i,limit,y=0,counted_bars=IndicatorCounted();


   ArrayCopySeries(TimeArray,MODE_TIME,Symbol(),TimeFrame); 
   
   limit=Bars-counted_bars+TimeFrame/Period();
   for(i=0,y=0;i<limit;i++)
   {
   if (Time[i]<TimeArray[y]) y++;


 
   ExtMapBuffer1[i]=iCustom(NULL,TimeFrame,"SilverTrend_bar_E&A",SSP,Kmax,0,y);
   ExtMapBuffer2[i]=iCustom(NULL,TimeFrame,"SilverTrend_bar_E&A",SSP,Kmax,1,y); 

   
   }
   RefreshRates(); 
   return(0);
  }

